import { type FnCallExpr } from "../../expr";
import { type CodeGenContext } from "../utils";
export declare function generateAwait(expr: FnCallExpr, indent: string, context: CodeGenContext): string;
export declare function generateState(expr: FnCallExpr, indent: string, context: CodeGenContext): string;
export declare function generateJoinHandleAwait(expr: FnCallExpr, indent: string, context: CodeGenContext): string;
export declare function emitIoSpawnEffectInjection(expr: FnCallExpr, futureVar: string, indent: string, context: CodeGenContext): void;
